SG-1100 pkg-static: https://repo.netgate.com/pkg/pfSense_factory-v2_4_5_aarch64-core/meta.txz: Authentication error



  • How can I update my SG-1100?

    [2.4.4-RELEASE][admin@pfSense.localdomain]/root: pfSense-upgrade
    >>> Updating repositories metadata... 
    Updating pfSense-core repository catalogue...
    7538588:error:14099044:SSL routines:ssl3_send_client_verify:internal error:/usr/local/poudriere/jails/pfSense_factory-v2_4_5_aarch64/usr/src/crypto/openssl/ssl/s3_clnt.c:3266:
    7538588:error:14099044:SSL routines:ssl3_send_client_verify:internal error:/usr/local/poudriere/jails/pfSense_factory-v2_4_5_aarch64/usr/src/crypto/openssl/ssl/s3_clnt.c:3266:
    pkg-static: https://repo.netgate.com/pkg/pfSense_factory-v2_4_5_aarch64-core/meta.txz: Authentication error
    repository pfSense-core has no meta file, using default settings
    7538588:error:14099044:SSL routines:ssl3_send_client_verify:internal error:/usr/local/poudriere/jails/pfSense_factory-v2_4_5_aarch64/usr/src/crypto/openssl/ssl/s3_clnt.c:3266:
    7538588:error:14099044:SSL routines:ssl3_send_client_verify:internal error:/usr/local/poudriere/jails/pfSense_factory-v2_4_5_aarch64/usr/src/crypto/openssl/ssl/s3_clnt.c:3266:
    pkg-static: https://repo.netgate.com/pkg/pfSense_factory-v2_4_5_aarch64-core/packagesite.txz: Authentication error
    Unable to update repository pfSense-core
    Updating pfSense repository catalogue...
    Child process pid=86016 terminated abnormally: Segmentation fault
    [2.4.4-RELEASE][admin@pfSense.localdomain]/root:
    
    [2.4.4-RELEASE][admin@pfSense.localdomain]/root: pkg install -y pfSense-upgrade
    Shared object "libcryptoauth.so.3" not found, required by "pkg"
    [2.4.4-RELEASE][admin@pfSense.localdomain]/root:
    


  • My SG-1100 works again, need to open a ticket and download the firmware to reflash.
    Netgate was quick with the answer, thank you.

    My first dry before the device broke was to perform the update over the WebGUI, maybe not the best idea.
    Next time (like before) only over ssh.



  • I'm seeing the same error with pkg all of a sudden. Was it decided that the image was just too corrupt to proceed? I can't even find what my be trying to load libcryptoauth.so.3.



  • @opoplawski Try substituting pkg-static for pkg



  • @luckman212 Thanks, that's a reasonable work around. Comparing my broken system with a working system I see the following difference in the pkg package:

    --- pkg.good  2020-04-01 10:57:51.028905607 -0600
    +++ pkg.bad 2020-04-01 10:58:00.270865802 -0600
    @@ -1,7 +1,7 @@
     pkg-1.12.0_1
     Name           : pkg
     Version        : 1.12.0_1
    -Installed on   : Thu Mar 26 09:11:15 2020 PDT
    +Installed on   : Thu Mar 26 10:24:43 2020 MDT
     Origin         : ports-mgmt/pkg
     Architecture   : FreeBSD:11:amd64
     Prefix         : /usr/local
    @@ -15,10 +15,10 @@
     Shared Libs provided:
            libpkg.so.4
     Annotations    :
    -       FreeBSD_version: 1103504
    +       FreeBSD_version: 1103507
            repo_type      : binary
            repository     : pfSense
    -Flat size      : 13.4MiB
    +Flat size      : 13.6MiB
     Description    :
     Package management tool
    

    Any idea what might be going on here?



  • @opoplawski not sure - I'd ask @jimp maybe


Log in to reply